com.sun.java.xml.ns.javaee

## Class EjbLinkType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.String
  - - com.sun.java.xml.ns.javaee.EjbLinkType

-     public class EjbLinkType
      extends String

  [ The ejb-linkType is used by ejb-link elements in the ejb-ref or ejb-local-ref elements to specify that an EJB reference is linked to enterprise bean. The value of the ejb-link element must be the ejb-name of an enterprise bean in the same ejb-jar file or in another ejb-jar file in the same Java EE application unit. Alternatively, the name in the ejb-link element may be composed of a path name specifying the ejb-jar containing the referenced enterprise bean with the ejb-name of the target bean appended and separated from the path name by "#". The path name is relative to the Deployment File containing Deployment Component that is referencing the enterprise bean. This allows multiple enterprise beans with the same ejb-name to be uniquely identified. Examples: EmployeeRecord ../products/product.jar#ProductEJB

  Java-Klasse für ejb-linkType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="ejb-linkType">
         <simpleContent>
           <restriction base="<http://java.sun.com/xml/ns/javaee>string">
           </restriction>
         </simpleContent>
       </complexType>

- - ### Field Summary

    - ### Fields inherited from class com.sun.java.xml.ns.javaee.String

      `id, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EjbLinkType()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.java.xml.ns.javaee.String

      `getId, getValue, setId, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EjbLinkType

          public EjbLinkType()

Copyright © 2015 buschmais GbR. All rights reserved.